/*
	© 2017 NetSuite Inc.
	User may not copy, modify, distribute, or re-bundle or otherwise make available this code;
	provided, however, if you are an authorized user with a NetSuite account or log-in, you
	may use this code subject to the terms that govern your access and use.
*/

define(['Address.Model'], function (AddressModel)
{
	'use strict';

	return describe('Address Model', function() 
	{
		beforeEach(function()
		{
			window.SC = jQuery.extend(window.SC || {},  {
				ENVIRONMENT: {
					siteSettings:{
						registration: {displaycompanyfield: 'T'}
					,	countries: {"AF":{"isziprequired":"T","code":"AF","name":"Afghanistan"},"AX":{"isziprequired":"T","code":"AX","name":"Aland Islands"},"AL":{"isziprequired":"T","code":"AL","name":"Albania"},"DZ":{"isziprequired":"T","code":"DZ","name":"Algeria"},"AS":{"isziprequired":"T","code":"AS","name":"American Samoa"},"AD":{"isziprequired":"T","code":"AD","name":"Andorra"},"AO":{"isziprequired":"T","code":"AO","name":"Angola"},"AI":{"isziprequired":"T","code":"AI","name":"Anguilla"},"AQ":{"isziprequired":"T","code":"AQ","name":"Antarctica"},"AG":{"isziprequired":"T","code":"AG","name":"Antigua and Barbuda"},"AR":{"isziprequired":"T","code":"AR","name":"Argentina"},"AM":{"isziprequired":"T","code":"AM","name":"Armenia"},"AW":{"isziprequired":"T","code":"AW","name":"Aruba"},"AU":{"isziprequired":"T","code":"AU","name":"Australia","states":[{"name":"Australian Capital Territory","code":"ACT"},{"name":"New South Wales","code":"NSW"},{"name":"Northern Territory","code":"NT"},{"name":"Queensland","code":"QLD"},{"name":"South Australia","code":"SA"},{"name":"Tasmania","code":"TAS"},{"name":"Victoria","code":"VIC"},{"name":"Western Australia","code":"WA"}]},"AT":{"isziprequired":"T","code":"AT","name":"Austria"},"AZ":{"isziprequired":"T","code":"AZ","name":"Azerbaijan"},"BS":{"isziprequired":"F","code":"BS","name":"Bahamas"},"BH":{"isziprequired":"T","code":"BH","name":"Bahrain"},"BD":{"isziprequired":"T","code":"BD","name":"Bangladesh"},"BB":{"isziprequired":"T","code":"BB","name":"Barbados"},"BY":{"isziprequired":"T","code":"BY","name":"Belarus"},"BE":{"isziprequired":"T","code":"BE","name":"Belgium"},"BZ":{"isziprequired":"T","code":"BZ","name":"Belize"},"BJ":{"isziprequired":"T","code":"BJ","name":"Benin"},"BM":{"isziprequired":"T","code":"BM","name":"Bermuda"},"BT":{"isziprequired":"T","code":"BT","name":"Bhutan"},"BO":{"isziprequired":"F","code":"BO","name":"Bolivia"},"BQ":{"isziprequired":"T","code":"BQ","name":"Bonaire, Saint Eustatius and Saba"},"BA":{"isziprequired":"T","code":"BA","name":"Bosnia and Herzegovina"},"BW":{"isziprequired":"T","code":"BW","name":"Botswana"},"BV":{"isziprequired":"T","code":"BV","name":"Bouvet Island"},"BR":{"isziprequired":"T","code":"BR","name":"Brazil"},"IO":{"isziprequired":"T","code":"IO","name":"British Indian Ocean Territory"},"BN":{"isziprequired":"T","code":"BN","name":"Brunei Darussalam"},"BG":{"isziprequired":"T","code":"BG","name":"Bulgaria"},"BF":{"isziprequired":"T","code":"BF","name":"Burkina Faso"},"BI":{"isziprequired":"T","code":"BI","name":"Burundi"},"KH":{"isziprequired":"T","code":"KH","name":"Cambodia"},"CM":{"isziprequired":"T","code":"CM","name":"Cameroon"},"CA":{"isziprequired":"T","code":"CA","name":"Canada","states":[{"name":"Alberta","code":"AB"},{"name":"British Columbia","code":"BC"},{"name":"Manitoba","code":"MB"},{"name":"New Brunswick","code":"NB"},{"name":"Newfoundland","code":"NL"},{"name":"Northwest Territories","code":"NT"},{"name":"Nova Scotia","code":"NS"},{"name":"Nunavut","code":"NU"},{"name":"Ontario","code":"ON"},{"name":"Prince Edward Island","code":"PE"},{"name":"Quebec","code":"QC"},{"name":"Saskatchewan","code":"SK"},{"name":"Yukon","code":"YT"}]},"IC":{"isziprequired":"T","code":"IC","name":"Canary Islands"},"CV":{"isziprequired":"T","code":"CV","name":"Cape Verde"},"KY":{"isziprequired":"T","code":"KY","name":"Cayman Islands"},"CF":{"isziprequired":"T","code":"CF","name":"Central African Republic"},"EA":{"isziprequired":"T","code":"EA","name":"Ceuta and Melilla"},"TD":{"isziprequired":"T","code":"TD","name":"Chad"},"CL":{"isziprequired":"F","code":"CL","name":"Chile"},"CN":{"isziprequired":"T","code":"CN","name":"China","states":[{"name":"Heilongjiang Province","code":"黑龙江省"},{"name":"Jilin Province","code":"吉林省"},{"name":"Liaoning Province","code":"辽宁省"},{"name":"Neimenggu A. R.","code":"内蒙古"},{"name":"Gansu Province","code":"甘肃省"},{"name":"Ningxia A. R.","code":"宁夏回族自治区"},{"name":"Xinjiang A. R.","code":"新疆维吾尔族自治区"},{"name":"Qinghai Province","code":"青海省"},{"name":"Hebei Province","code":"河北省"},{"name":"Henan Province","code":"河南省"},{"name":"Shandong Province","code":"山东省"},{"name":"Shanxi Province","code":"山西省"},{"name":"Shaanxi Province","code":"陕西省"},{"name":"Jiangsu Province","code":"江苏省"},{"name":"Zhejiang Province","code":"浙江省"},{"name":"Anhui Province","code":"安徽省"},{"name":"Hubei Province","code":"湖北省"},{"name":"Hunan Province","code":"湖南省"},{"name":"Sichuan Province","code":"四川省"},{"name":"Guizhou Province","code":"贵州省"},{"name":"Jiangxi Province","code":"江西省"},{"name":"Guangdong Province","code":"广东省"},{"name":"Guangxi A. R.","code":"广西壮族自治区"},{"name":"Yunnan Province","code":"云南省"},{"name":"Hainan Province","code":"海南省"},{"name":"Xizang A. R.","code":"西藏藏族自治区"},{"name":"Beijing","code":"北京市"},{"name":"Shanghai","code":"上海市"},{"name":"Tianjin","code":"天津市"},{"name":"Chongqing","code":"重庆市"},{"name":"Fujian Province","code":"福建省"}]},"CX":{"isziprequired":"T","code":"CX","name":"Christmas Island"},"CC":{"isziprequired":"T","code":"CC","name":"Cocos (Keeling) Islands"},"CO":{"isziprequired":"F","code":"CO","name":"Colombia"},"KM":{"isziprequired":"T","code":"KM","name":"Comoros"},"CD":{"isziprequired":"T","code":"CD","name":"Congo, Democratic Republic of"},"CG":{"isziprequired":"T","code":"CG","name":"Congo, Republic of"},"CK":{"isziprequired":"T","code":"CK","name":"Cook Islands"},"CR":{"isziprequired":"T","code":"CR","name":"Costa Rica"},"CI":{"isziprequired":"T","code":"CI","name":"Cote d Ivoire"},"HR":{"isziprequired":"T","code":"HR","name":"Croatia/Hrvatska"},"CU":{"isziprequired":"T","code":"CU","name":"Cuba"},"CW":{"isziprequired":"T","code":"CW","name":"Curaçao"},"CY":{"isziprequired":"T","code":"CY","name":"Cyprus"},"CZ":{"isziprequired":"T","code":"CZ","name":"Czech Republic"},"DK":{"isziprequired":"T","code":"DK","name":"Denmark"},"DJ":{"isziprequired":"T","code":"DJ","name":"Djibouti"},"DM":{"isziprequired":"T","code":"DM","name":"Dominica"},"DO":{"isziprequired":"T","code":"DO","name":"Dominican Republic"},"TL":{"isziprequired":"T","code":"TL","name":"East Timor"},"EC":{"isziprequired":"T","code":"EC","name":"Ecuador"},"EG":{"isziprequired":"T","code":"EG","name":"Egypt"},"SV":{"isziprequired":"T","code":"SV","name":"El Salvador"},"GQ":{"isziprequired":"T","code":"GQ","name":"Equatorial Guinea"},"ER":{"isziprequired":"T","code":"ER","name":"Eritrea"},"EE":{"isziprequired":"T","code":"EE","name":"Estonia"},"ET":{"isziprequired":"T","code":"ET","name":"Ethiopia"},"FK":{"isziprequired":"T","code":"FK","name":"Falkland Islands"},"FO":{"isziprequired":"T","code":"FO","name":"Faroe Islands"},"FJ":{"isziprequired":"T","code":"FJ","name":"Fiji"},"FI":{"isziprequired":"T","code":"FI","name":"Finland"},"FR":{"isziprequired":"T","code":"FR","name":"France"},"GF":{"isziprequired":"T","code":"GF","name":"French Guiana"},"PF":{"isziprequired":"T","code":"PF","name":"French Polynesia"},"TF":{"isziprequired":"T","code":"TF","name":"French Southern Territories"},"GA":{"isziprequired":"T","code":"GA","name":"Gabon"},"GM":{"isziprequired":"T","code":"GM","name":"Gambia"},"GE":{"isziprequired":"T","code":"GE","name":"Georgia"},"DE":{"isziprequired":"T","code":"DE","name":"Germany"},"GH":{"isziprequired":"T","code":"GH","name":"Ghana"},"GI":{"isziprequired":"T","code":"GI","name":"Gibraltar"},"GR":{"isziprequired":"T","code":"GR","name":"Greece"},"GL":{"isziprequired":"T","code":"GL","name":"Greenland"},"GD":{"isziprequired":"T","code":"GD","name":"Grenada"},"GP":{"isziprequired":"T","code":"GP","name":"Guadeloupe"},"GU":{"isziprequired":"T","code":"GU","name":"Guam"},"GT":{"isziprequired":"T","code":"GT","name":"Guatemala"},"GG":{"isziprequired":"T","code":"GG","name":"Guernsey"},"GN":{"isziprequired":"T","code":"GN","name":"Guinea"},"GW":{"isziprequired":"T","code":"GW","name":"Guinea-Bissau"},"GY":{"isziprequired":"T","code":"GY","name":"Guyana"},"HT":{"isziprequired":"T","code":"HT","name":"Haiti"},"HM":{"isziprequired":"T","code":"HM","name":"Heard and McDonald Islands"},"VA":{"isziprequired":"T","code":"VA","name":"Holy See (City Vatican State)"},"HN":{"isziprequired":"T","code":"HN","name":"Honduras"},"HK":{"isziprequired":"F","code":"HK","name":"Hong Kong"},"HU":{"isziprequired":"T","code":"HU","name":"Hungary"},"IS":{"isziprequired":"T","code":"IS","name":"Iceland"},"IN":{"isziprequired":"T","code":"IN","name":"India"},"ID":{"isziprequired":"T","code":"ID","name":"Indonesia"},"IR":{"isziprequired":"T","code":"IR","name":"Iran (Islamic Republic of)"},"IQ":{"isziprequired":"T","code":"IQ","name":"Iraq"},"IE":{"isziprequired":"F","code":"IE","name":"Ireland"},"IM":{"isziprequired":"T","code":"IM","name":"Isle of Man"},"IL":{"isziprequired":"T","code":"IL","name":"Israel"},"IT":{"isziprequired":"T","code":"IT","name":"Italy"},"JM":{"isziprequired":"T","code":"JM","name":"Jamaica"},"JP":{"isziprequired":"T","code":"JP","name":"Japan","states":[{"name":"Hokkaidō","code":"北海道"},{"name":"Aomori","code":"青森県"},{"name":"Iwate","code":"岩手県"},{"name":"Miyagi","code":"宮城県"},{"name":"Akita","code":"秋田県"},{"name":"Yamagata","code":"山形県"},{"name":"Fukushima","code":"福島県"},{"name":"Ibaraki","code":"茨城県"},{"name":"Tochigi","code":"栃木県"},{"name":"Gunma","code":"群馬県"},{"name":"Saitama","code":"埼玉県"},{"name":"Chiba","code":"千葉県"},{"name":"Tokyo","code":"東京都"},{"name":"Kanagawa","code":"神奈川県"},{"name":"Niigata","code":"新潟県"},{"name":"Toyama","code":"富山県"},{"name":"Ishikawa","code":"石川県"},{"name":"Fukui","code":"福井県"},{"name":"Yamanashi","code":"山梨県"},{"name":"Nagano","code":"長野県"},{"name":"Gifu","code":"岐阜県"},{"name":"Shizuoka","code":"静岡県"},{"name":"Aichi","code":"愛知県"},{"name":"Mie","code":"三重県"},{"name":"Shiga","code":"滋賀県"},{"name":"Kyoto","code":"京都府"},{"name":"Osaka","code":"大阪府"},{"name":"Hyōgo","code":"兵庫県"},{"name":"Nara","code":"奈良県"},{"name":"Wakayama","code":"和歌山県"},{"name":"Tottori","code":"鳥取県"},{"name":"Shimane","code":"島根県"},{"name":"Okayama","code":"岡山県"},{"name":"Hiroshima","code":"広島県"},{"name":"Yamaguchi","code":"山口県"},{"name":"Tokushima","code":"徳島県"},{"name":"Kagawa","code":"香川県"},{"name":"Ehime","code":"愛媛県"},{"name":"Kochi","code":"高知県"},{"name":"Fukuoka","code":"福岡県"},{"name":"Saga","code":"佐賀県"},{"name":"Nagasaki","code":"長崎県"},{"name":"Kumamoto","code":"熊本県"},{"name":"Ōita","code":"大分県"},{"name":"Miyazaki","code":"宮崎県"},{"name":"Kagoshima","code":"鹿児島県"},{"name":"Okinawa","code":"沖縄県"}]},"JE":{"isziprequired":"T","code":"JE","name":"Jersey"},"JO":{"isziprequired":"T","code":"JO","name":"Jordan"},"KZ":{"isziprequired":"T","code":"KZ","name":"Kazakhstan"},"KE":{"isziprequired":"T","code":"KE","name":"Kenya"},"KI":{"isziprequired":"T","code":"KI","name":"Kiribati"},"KP":{"isziprequired":"T","code":"KP","name":"Korea, Democratic People s Republic"},"KR":{"isziprequired":"T","code":"KR","name":"Korea, Republic of"},"XK":{"isziprequired":"T","code":"XK","name":"Kosovo"},"KW":{"isziprequired":"T","code":"KW","name":"Kuwait"},"KG":{"isziprequired":"T","code":"KG","name":"Kyrgyzstan"},"LA":{"isziprequired":"T","code":"LA","name":"Lao People s Democratic Republic"},"LV":{"isziprequired":"T","code":"LV","name":"Latvia"},"LB":{"isziprequired":"T","code":"LB","name":"Lebanon"},"LS":{"isziprequired":"T","code":"LS","name":"Lesotho"},"LR":{"isziprequired":"T","code":"LR","name":"Liberia"},"LY":{"isziprequired":"T","code":"LY","name":"Libya"},"LI":{"isziprequired":"T","code":"LI","name":"Liechtenstein"},"LT":{"isziprequired":"T","code":"LT","name":"Lithuania"},"LU":{"isziprequired":"T","code":"LU","name":"Luxembourg"},"MO":{"isziprequired":"F","code":"MO","name":"Macau"},"MK":{"isziprequired":"T","code":"MK","name":"Macedonia"},"MG":{"isziprequired":"T","code":"MG","name":"Madagascar"},"MW":{"isziprequired":"T","code":"MW","name":"Malawi"},"MY":{"isziprequired":"T","code":"MY","name":"Malaysia"},"MV":{"isziprequired":"T","code":"MV","name":"Maldives"},"ML":{"isziprequired":"T","code":"ML","name":"Mali"},"MT":{"isziprequired":"T","code":"MT","name":"Malta"},"MH":{"isziprequired":"T","code":"MH","name":"Marshall Islands"},"MQ":{"isziprequired":"T","code":"MQ","name":"Martinique"},"MR":{"isziprequired":"T","code":"MR","name":"Mauritania"},"MU":{"isziprequired":"F","code":"MU","name":"Mauritius"},"YT":{"isziprequired":"T","code":"YT","name":"Mayotte"},"MX":{"isziprequired":"T","code":"MX","name":"Mexico","states":[{"name":"Aguascalientes","code":"AGS"},{"name":"Baja California Norte","code":"BCN"},{"name":"Baja California Sur","code":"BCS"},{"name":"Campeche","code":"CAM"},{"name":"Chiapas","code":"CHIS"},{"name":"Chihuahua","code":"CHIH"},{"name":"Coahuila","code":"COAH"},{"name":"Colima","code":"COL"},{"name":"Distrito Federal","code":"DF"},{"name":"Durango","code":"DGO"},{"name":"Guanajuato","code":"GTO"},{"name":"Guerrero","code":"GRO"},{"name":"Hidalgo","code":"HGO"},{"name":"Jalisco","code":"JAL"},{"name":"Michoacán","code":"MICH"},{"name":"Morelos","code":"MOR"},{"name":"México (Estado de)","code":"MEX"},{"name":"Nayarit","code":"NAY"},{"name":"Nuevo León","code":"NL"},{"name":"Oaxaca","code":"OAX"},{"name":"Puebla","code":"PUE"},{"name":"Querétaro","code":"QRO"},{"name":"Quintana Roo","code":"QROO"},{"name":"San Luis Potosí","code":"SLP"},{"name":"Sinaloa","code":"SIN"},{"name":"Sonora","code":"SON"},{"name":"Tabasco","code":"TAB"},{"name":"Tamaulipas","code":"TAMPS"},{"name":"Tlaxcala","code":"TLAX"},{"name":"Veracruz","code":"VER"},{"name":"Yucatán","code":"YUC"},{"name":"Zacatecas","code":"ZAC"}]},"FM":{"isziprequired":"T","code":"FM","name":"Micronesia, Federal State of"},"MD":{"isziprequired":"T","code":"MD","name":"Moldova, Republic of"},"MC":{"isziprequired":"T","code":"MC","name":"Monaco"},"MN":{"isziprequired":"T","code":"MN","name":"Mongolia"},"ME":{"isziprequired":"T","code":"ME","name":"Montenegro"},"MS":{"isziprequired":"T","code":"MS","name":"Montserrat"},"MA":{"isziprequired":"T","code":"MA","name":"Morocco"},"MZ":{"isziprequired":"T","code":"MZ","name":"Mozambique"},"MM":{"isziprequired":"T","code":"MM","name":"Myanmar (Burma)"},"NA":{"isziprequired":"T","code":"NA","name":"Namibia"},"NR":{"isziprequired":"T","code":"NR","name":"Nauru"},"NP":{"isziprequired":"T","code":"NP","name":"Nepal"},"NL":{"isziprequired":"T","code":"NL","name":"Netherlands"},"AN":{"isziprequired":"T","code":"AN","name":"Netherlands Antilles (Deprecated)"},"NC":{"isziprequired":"T","code":"NC","name":"New Caledonia"},"NZ":{"isziprequired":"T","code":"NZ","name":"New Zealand"},"NI":{"isziprequired":"T","code":"NI","name":"Nicaragua"},"NE":{"isziprequired":"T","code":"NE","name":"Niger"},"NG":{"isziprequired":"T","code":"NG","name":"Nigeria"},"NU":{"isziprequired":"T","code":"NU","name":"Niue"},"NF":{"isziprequired":"T","code":"NF","name":"Norfolk Island"},"MP":{"isziprequired":"T","code":"MP","name":"Northern Mariana Islands"},"NO":{"isziprequired":"T","code":"NO","name":"Norway"},"OM":{"isziprequired":"T","code":"OM","name":"Oman"},"PK":{"isziprequired":"T","code":"PK","name":"Pakistan"},"PW":{"isziprequired":"T","code":"PW","name":"Palau"},"PS":{"isziprequired":"T","code":"PS","name":"Palestinian Territories"},"PA":{"isziprequired":"T","code":"PA","name":"Panama"},"PG":{"isziprequired":"T","code":"PG","name":"Papua New Guinea"},"PY":{"isziprequired":"T","code":"PY","name":"Paraguay"},"PE":{"isziprequired":"T","code":"PE","name":"Peru"},"PH":{"isziprequired":"T","code":"PH","name":"Philippines"},"PN":{"isziprequired":"T","code":"PN","name":"Pitcairn Island"},"PL":{"isziprequired":"T","code":"PL","name":"Poland"},"PT":{"isziprequired":"T","code":"PT","name":"Portugal"},"PR":{"isziprequired":"T","code":"PR","name":"Puerto Rico"},"QA":{"isziprequired":"T","code":"QA","name":"Qatar"},"RE":{"isziprequired":"T","code":"RE","name":"Reunion Island"},"RO":{"isziprequired":"T","code":"RO","name":"Romania"},"RU":{"isziprequired":"T","code":"RU","name":"Russian Federation"},"RW":{"isziprequired":"T","code":"RW","name":"Rwanda"},"BL":{"isziprequired":"T","code":"BL","name":"Saint Barthélemy"},"SH":{"isziprequired":"T","code":"SH","name":"Saint Helena"},"KN":{"isziprequired":"T","code":"KN","name":"Saint Kitts and Nevis"},"LC":{"isziprequired":"T","code":"LC","name":"Saint Lucia"},"MF":{"isziprequired":"T","code":"MF","name":"Saint Martin"},"VC":{"isziprequired":"T","code":"VC","name":"Saint Vincent and the Grenadines"},"WS":{"isziprequired":"T","code":"WS","name":"Samoa"},"SM":{"isziprequired":"T","code":"SM","name":"San Marino"},"ST":{"isziprequired":"T","code":"ST","name":"Sao Tome and Principe"},"SA":{"isziprequired":"T","code":"SA","name":"Saudi Arabia"},"SN":{"isziprequired":"T","code":"SN","name":"Senegal"},"RS":{"isziprequired":"T","code":"RS","name":"Serbia"},"CS":{"isziprequired":"T","code":"CS","name":"Serbia and Montenegro (Deprecated)"},"SC":{"isziprequired":"T","code":"SC","name":"Seychelles"},"SL":{"isziprequired":"T","code":"SL","name":"Sierra Leone"},"SG":{"isziprequired":"F","code":"SG","name":"Singapore"},"SX":{"isziprequired":"T","code":"SX","name":"Sint Maarten"},"SK":{"isziprequired":"T","code":"SK","name":"Slovak Republic"},"SI":{"isziprequired":"T","code":"SI","name":"Slovenia"},"SB":{"isziprequired":"T","code":"SB","name":"Solomon Islands"},"SO":{"isziprequired":"T","code":"SO","name":"Somalia"},"ZA":{"isziprequired":"T","code":"ZA","name":"South Africa"},"GS":{"isziprequired":"T","code":"GS","name":"South Georgia"},"SS":{"isziprequired":"T","code":"SS","name":"South Sudan"},"ES":{"isziprequired":"T","code":"ES","name":"Spain"},"LK":{"isziprequired":"T","code":"LK","name":"Sri Lanka"},"PM":{"isziprequired":"T","code":"PM","name":"St. Pierre and Miquelon"},"SD":{"isziprequired":"T","code":"SD","name":"Sudan"},"SR":{"isziprequired":"T","code":"SR","name":"Suriname"},"SJ":{"isziprequired":"T","code":"SJ","name":"Svalbard and Jan Mayen Islands"},"SZ":{"isziprequired":"T","code":"SZ","name":"Swaziland"},"SE":{"isziprequired":"T","code":"SE","name":"Sweden"},"CH":{"isziprequired":"T","code":"CH","name":"Switzerland"},"SY":{"isziprequired":"T","code":"SY","name":"Syrian Arab Republic"},"TW":{"isziprequired":"T","code":"TW","name":"Taiwan"},"TJ":{"isziprequired":"T","code":"TJ","name":"Tajikistan"},"TZ":{"isziprequired":"T","code":"TZ","name":"Tanzania"},"TH":{"isziprequired":"T","code":"TH","name":"Thailand"},"TG":{"isziprequired":"T","code":"TG","name":"Togo"},"TK":{"isziprequired":"T","code":"TK","name":"Tokelau"},"TO":{"isziprequired":"T","code":"TO","name":"Tonga"},"TT":{"isziprequired":"T","code":"TT","name":"Trinidad and Tobago"},"TN":{"isziprequired":"T","code":"TN","name":"Tunisia"},"TR":{"isziprequired":"T","code":"TR","name":"Turkey"},"TM":{"isziprequired":"T","code":"TM","name":"Turkmenistan"},"TC":{"isziprequired":"T","code":"TC","name":"Turks and Caicos Islands"},"TV":{"isziprequired":"T","code":"TV","name":"Tuvalu"},"UM":{"isziprequired":"T","code":"UM","name":"US Minor Outlying Islands"},"UG":{"isziprequired":"T","code":"UG","name":"Uganda"},"UA":{"isziprequired":"T","code":"UA","name":"Ukraine"},"AE":{"isziprequired":"F","code":"AE","name":"United Arab Emirates"},"GB":{"isziprequired":"T","code":"GB","name":"United Kingdom (GB)","states":[{"name":"Aberdeenshire","code":"Aberdeenshire"},{"name":"Angus","code":"Angus"},{"name":"Argyll","code":"Argyll"},{"name":"Avon","code":"Avon"},{"name":"Ayrshire","code":"Ayrshire"},{"name":"Banffshire","code":"Banffshire"},{"name":"Bedfordshire","code":"Beds."},{"name":"Berkshire","code":"Berks."},{"name":"Berwickshire","code":"Berwickshire"},{"name":"Buckinghamshire","code":"Bucks."},{"name":"Caithness","code":"Caithness"},{"name":"Cambridgeshire","code":"Cambs."},{"name":"Cheshire","code":"Ches."},{"name":"Clackmannanshire","code":"Clackmannanshire"},{"name":"Cleveland","code":"Cleveland"},{"name":"Clwyd","code":"Clwyd"},{"name":"Cornwall","code":"Cornwall"},{"name":"County Antrim","code":"Co Antrim"},{"name":"County Armagh","code":"Co Armagh"},{"name":"County Down","code":"Co Down"},{"name":"County Durham","code":"Durham"},{"name":"County Fermanagh","code":"Co Fermanagh"},{"name":"County Londonderry","code":"Co Londonderry"},{"name":"County Tyrone","code":"Co Tyrone"},{"name":"Cumbria","code":"Cumbria"},{"name":"Derbyshire","code":"Derbys."},{"name":"Devon","code":"Devon"},{"name":"Dorset","code":"Dorset"},{"name":"Dumfriesshire","code":"Dumfriesshire"},{"name":"Dunbartonshire","code":"Dunbartonshire"},{"name":"Dyfed","code":"Dyfed"},{"name":"East Lothian","code":"E Lothian"},{"name":"East Sussex","code":"E Sussex"},{"name":"Essex","code":"Essex"},{"name":"Fife","code":"Fife"},{"name":"Gloucestershire","code":"Gloucs."},{"name":"Greater London","code":"London"},{"name":"Gwent","code":"Gwent"},{"name":"Gwynedd","code":"Gwynedd"},{"name":"Hampshire","code":"Hants."},{"name":"Herefordshire","code":"Hereford"},{"name":"Hertfordshire","code":"Herts."},{"name":"Inverness-shire","code":"Inverness-shire"},{"name":"Isle of Arran","code":"Isle of Arran"},{"name":"Isle of Barra","code":"Isle of Barra"},{"name":"Isle of Benbecula","code":"Isle of Benbecula"},{"name":"Isle of Bute","code":"Isle of Bute"},{"name":"Isle of Canna","code":"Isle of Canna"},{"name":"Isle of Coll","code":"Isle of Coll"},{"name":"Isle of Colonsay","code":"Isle of Colonsay"},{"name":"Isle of Cumbrae","code":"Isle of Cumbrae"},{"name":"Isle of Eigg","code":"Isle of Eigg"},{"name":"Isle of Gigha","code":"Isle of Gigha"},{"name":"Isle of Harris","code":"Isle of Harris"},{"name":"Isle of Iona","code":"Isle of Iona"},{"name":"Isle of Islay","code":"Isle of Islay"},{"name":"Isle of Jura","code":"Isle of Jura"},{"name":"Isle of Lewis","code":"Isle of Lewis"},{"name":"Isle of Mull","code":"Isle of Mull"},{"name":"Isle of North Uist","code":"Isle of North Uist"},{"name":"Isle of Rum","code":"Isle of Rum"},{"name":"Isle of Scalpay","code":"Isle of Scalpay"},{"name":"Isle of Skye","code":"Isle of Skye"},{"name":"Isle of South Uist","code":"Isle of South Uist"},{"name":"Isle of Tiree","code":"Isle of Tiree"},{"name":"Isle of Wight","code":"Isle of Wight"},{"name":"Kent","code":"Kent"},{"name":"Kincardineshire","code":"Kincardineshire"},{"name":"Kinross-shire","code":"Kinross-shire"},{"name":"Kirkcudbrightshire","code":"Kirkcudbrightshire"},{"name":"Lanarkshire","code":"Lanarkshire"},{"name":"Lancashire","code":"Lancs."},{"name":"Leicestershire","code":"Leics."},{"name":"Lincolnshire","code":"Lincs."},{"name":"Merseyside","code":"Merseyside"},{"name":"Mid Glamorgan","code":"M Glam"},{"name":"Mid Lothian","code":"Mid Lothian"},{"name":"Middlesex","code":"Middx."},{"name":"Morayshire","code":"Morayshire"},{"name":"Nairnshire","code":"Nairnshire"},{"name":"Norfolk","code":"Norfolk"},{"name":"North Humberside","code":"N Humberside"},{"name":"North Yorkshire","code":"N Yorkshire"},{"name":"Northamptonshire","code":"Northants."},{"name":"Northumberland","code":"Northumberland"},{"name":"Nottinghamshire","code":"Notts."},{"name":"Oxfordshire","code":"Oxon."},{"name":"Peeblesshire","code":"Peeblesshire"},{"name":"Perthshire","code":"Perthshire"},{"name":"Powys","code":"Powys"},{"name":"Renfrewshire","code":"Renfrewshire"},{"name":"Ross-shire","code":"Ross-shire"},{"name":"Roxburghshire","code":"Roxburghshire"},{"name":"Selkirkshire","code":"Selkirkshire"},{"name":"Shropshire","code":"Shrops"},{"name":"Somerset","code":"Somt."},{"name":"South Glamorgan","code":"S Glam"},{"name":"South Humberside","code":"S Humberside"},{"name":"South Yorkshire","code":"S Yorkshire"},{"name":"Staffordshire","code":"Staffs."},{"name":"Stirlingshire","code":"Stirlingshire"},{"name":"Suffolk","code":"Suffolk"},{"name":"Surrey","code":"Surrey"},{"name":"Sutherland","code":"Sutherland"},{"name":"Tyne and Wear","code":"Tyne & Wear"},{"name":"Warwickshire","code":"Warks"},{"name":"West Glamorgan","code":"W Glam"},{"name":"West Lothian","code":"W Lothian"},{"name":"West Midlands","code":"W Midlands"},{"name":"West Sussex","code":"W Sussex"},{"name":"West Yorkshire","code":"W Yorkshire"},{"name":"Wigtownshire","code":"Wigtownshire"},{"name":"Wiltshire","code":"Wilts"},{"name":"Worcestershire","code":"Worcs"}]},"US":{"isziprequired":"T","code":"US","name":"United States","states":[{"name":"Alabama","code":"AL"},{"name":"Alaska","code":"AK"},{"name":"Arizona","code":"AZ"},{"name":"Arkansas","code":"AR"},{"name":"Armed Forces Europe","code":"AE"},{"name":"Armed Forces Pacific","code":"AP"},{"name":"California","code":"CA"},{"name":"Colorado","code":"CO"},{"name":"Connecticut","code":"CT"},{"name":"Delaware","code":"DE"},{"name":"District of Columbia","code":"DC"},{"name":"Florida","code":"FL"},{"name":"Georgia","code":"GA"},{"name":"Hawaii","code":"HI"},{"name":"Idaho","code":"ID"},{"name":"Illinois","code":"IL"},{"name":"Indiana","code":"IN"},{"name":"Iowa","code":"IA"},{"name":"Kansas","code":"KS"},{"name":"Kentucky","code":"KY"},{"name":"Louisiana","code":"LA"},{"name":"Maine","code":"ME"},{"name":"Maryland","code":"MD"},{"name":"Massachusetts","code":"MA"},{"name":"Michigan","code":"MI"},{"name":"Minnesota","code":"MN"},{"name":"Mississippi","code":"MS"},{"name":"Missouri","code":"MO"},{"name":"Montana","code":"MT"},{"name":"Nebraska","code":"NE"},{"name":"Nevada","code":"NV"},{"name":"New Hampshire","code":"NH"},{"name":"New Jersey","code":"NJ"},{"name":"New Mexico","code":"NM"},{"name":"New York","code":"NY"},{"name":"North Carolina","code":"NC"},{"name":"North Dakota","code":"ND"},{"name":"Ohio","code":"OH"},{"name":"Oklahoma","code":"OK"},{"name":"Oregon","code":"OR"},{"name":"Pennsylvania","code":"PA"},{"name":"Puerto Rico","code":"PR"},{"name":"Rhode Island","code":"RI"},{"name":"South Carolina","code":"SC"},{"name":"South Dakota","code":"SD"},{"name":"Tennessee","code":"TN"},{"name":"Texas","code":"TX"},{"name":"Utah","code":"UT"},{"name":"Vermont","code":"VT"},{"name":"Virginia","code":"VA"},{"name":"Washington","code":"WA"},{"name":"West Virginia","code":"WV"},{"name":"Wisconsin","code":"WI"},{"name":"Wyoming","code":"WY"}]},"UY":{"isziprequired":"T","code":"UY","name":"Uruguay"},"UZ":{"isziprequired":"T","code":"UZ","name":"Uzbekistan"},"VU":{"isziprequired":"T","code":"VU","name":"Vanuatu"},"VE":{"isziprequired":"T","code":"VE","name":"Venezuela"},"VN":{"isziprequired":"T","code":"VN","name":"Vietnam"},"VG":{"isziprequired":"T","code":"VG","name":"Virgin Islands (British)"},"VI":{"isziprequired":"T","code":"VI","name":"Virgin Islands (USA)"},"WF":{"isziprequired":"T","code":"WF","name":"Wallis and Futuna"},"EH":{"isziprequired":"T","code":"EH","name":"Western Sahara"},"YE":{"isziprequired":"T","code":"YE","name":"Yemen"},"ZM":{"isziprequired":"T","code":"ZM","name":"Zambia"},"ZW":{"isziprequired":"T","code":"ZW","name":"Zimbabwe"}}
					}
				}
			});
		})

		var model
		,	model_2
		,	model_3
		,	model_4
		,	model_5
		,	validation_model;


		beforeEach(function ()
		{
			model =  new AddressModel();
			model_2 = _.extend(new AddressModel({country: 'UY', zip: null}), Backbone.Validation.mixin);
			model_3 = _.extend(new AddressModel({country: 'CL', zip: null}), Backbone.Validation.mixin);
			model_4 = _.extend(new AddressModel({country: 'UY', state: null}), Backbone.Validation.mixin);
			model_5 = _.extend(new AddressModel({country: 'US', state: null}), Backbone.Validation.mixin);
			validation_model = _.extend(model, Backbone.Validation.mixin);
		});

		describe('Validate',function() 
		{
			it ('full name is required', function() 
			{
				expect(validation_model.isValid('fullname')).toBe(false);
			});
			it ('and address 1 is required', function() 
			{
				expect(validation_model.isValid('addr1')).toBe(false);
			});
			it ('and country is required', function() 
			{
				expect(validation_model.isValid('country')).toBe(false);
			});
			it ('and city is required', function() 
			{
				expect(validation_model.isValid('city')).toBe(false);
			});
			it ('and phone is required', function() 
			{
				expect(validation_model.isValid('phone')).toBe(false);
			});
			it ('and zip is required', function() 
			{
				expect(validation_model.isValid('zip')).toBe(false);
			});
		});

		describe('Validate model with country that zip code is required',function() 
		{
			it ('the country is valid', function() 
			{
				expect(!model_2.validate().country).toBe(true);
			});
			it ('and zip code is required', function() 
			{
				expect(!!model_2.validate().zip).toBe(true);
			});
		});

		describe('Validate model with country that zip code is not required',function() 
		{
			it ('the country is valid', function() 
			{
				expect(!model_3.validate().country).toBe(true);
			});
			it ('and zip code is not required', function() 
			{
				expect(!model_3.validate().zip).toBe(true);
			});
		});

		describe('Validate model with country that state is not required',function() 
		{
			it ('the country is valid', function() 
			{
				expect(!model_4.validate().country).toBe(true);
			});
			it ('and state is not required', function() 
			{
				expect(!model_4.validate().state).toBe(true);
			});
		});

		describe('Validate model with country that state is required',function() 
		{
			it ('the country is valid', function() 
			{
				expect(!model_5.validate().country).toBe(true);
			});
			it ('and state is required', function() 
			{
				expect(!model_5.validate().state).toBe(true);
			});
		});

		/*
		describe('getInvalidAttributes', function() 
		{
			it ('should return all of them for a empty address', function() {
				var x = model.getInvalidAttributes();
				expect(x.length).toBe(6);
				var expectedValues = ['Full Name','Address','Country','City','Zip Code','Phone Number'];
				for (var i in x)
				{
					expect(expectedValues.indexOf(x[i])).not.toBeLessThan(0);
				}
			});
		});
		*/
	});
});